
Redmine - Defect #7576

tracker_id not saved

2011-02-08 14:07 - Francisco José Martínez

Status: Closed Start date: 2011-02-08

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

When we create a issue on tracker, the field tracker_id from issues is not saved it correctly. And we update the issue with the correct

tracker_id but it doesn't work, anyway in the log history appear changed.

Even more, in the table journals_details we can see the changes realized to issue, "    * Tracker changed from Task to ISTask", but

the issue's tracker (tracker_id field) don't change, and the issue still has the same wrong tracker_id.

here i put some lines from the log:

Processing IssuesController#create (for 192.168.112.54 at 2011-02-04 14:21:44) [POST]

Parameters: {"commit"=>"Create", "project_id"=>"pp053", "action"=>"create", "authenticity_token"=>"hiden",

"issue"=>{"start_date"=>"2011-02-04", "custom_field_values"=>{"22"=>"Instalation", "33"=>"0", "23"=>"0", "34"=>"0", "24"=>"0",

"25"=>"0", "26"=>"0", "27"=>"0", "1"=>"", "28"=>"0", "30"=>"0", "29"=>"0", "31"=>"0", "32"=>"0", "21"=>""}, "estimated_hours"=>"",

"priority_id"=>"4", "parent_issue_id"=>"8503", "fixed_version_id"=>"", "done_ratio"=>"0", "assigned_to_id"=>"", "subject"=>"Prueba

para Borrar", "tracker_id"=>"10", "due_date"=>"", "status_id"=>"1", "description"=>"s gdsg afsd sdf "}, "controller"=>"issues",

"attachments"=>{"1"=>{"description"=>""}}}

And in the database:

mysql> select id, tracker_id from issues where id=8536;

+------+------------+

| id   | tracker_id |

+------+------------+

| 8536 |          2 |

+------+------------+

1 row in set (0.00 sec)

I'm sure the issue created is #8536    

Anybody can help?

marr@TIMproduccion:~$ ruby --version

ruby 1.8.7 (2009-06-12 patchlevel 174) [x86_64-linux]

marr@TIMproduccion:~$ rails --version

Rails 2.3.5

marr@TIMproduccion:~$ mysql --version

mysql  Ver 14.14 Distrib 5.1.49, for debian-linux-gnu (x86_64) using readline 6.1

Redmine 1.0.2.stable

History

#1 - 2011-02-09 08:40 - Francisco José Martínez

- Status changed from New to Resolved

I've found the problem, bad working with the plugin backlogs.

Thanks.

#2 - 2011-02-09 08:52 - Toshi MARUYAMA

- Status changed from Resolved to Closed
- Resolution set to Invalid
